<template lang="pug">
container
	.hearts.img.is-flex
		img( v-lazy='require("@/assets/img/heart_likes.webp")' )
	.toby.img.is-flex
		img( v-lazy='require("@/assets/img/toby.webp")' )
	.coin.img.is-flex
		img( :src='require("@/assets/img/coin.webp")' )
	.title-wrap
		title-bar( :content='$t("page.home.stake.title")' horizontal )
	.columns.is-flex.is-multiline
		.column.is-3-widescreen.is-4-desktop.is-6-tablet.is-12-mobile( v-for='({ text, copy, icon }, i) in items' :key='i' )
			.column-container.is-flex.is-flex-direction-column.is-align-items-center.is-justify-content-flex-start
				.img
					component( :is='icon' )
				p
					span( v-html='text' )
					template( v-if='copy' )
						br
						span.copy( v-clipboard:copy='copy' ) {{ copy }}
						span &nbsp;
						span.icon.is-inline-flex( v-clipboard:copy='copy' )
							copy
	buttons( centered )
		b-button( as="router-link" :to='{ name: "Login" }' ) {{ $t("buttons.login") }}
</template>

<script>
export default {
	components: {
		Copy: () => import("svg/copy.svg")
	},
	computed: {
		items() {
			return [
				{ icon: () => import("svg/wallet.svg") },
				{ icon: () => import("svg/cube.svg") },
				{ icon: () => import("svg/cube_token.svg") },
				{ icon: () => import("svg/login.svg") },
				{ icon: () => import("svg/calc.svg") },
				{ icon: () => import("svg/wallet_coins.svg") },
				{ icon: () => import("svg/loop.svg") }
			].map((item, i) => ({ ...item, ...this.$t(`page.home.stake.list.${i}`) }))
		}
	}
}
</script>

<style lang="scss" scoped>
.section {
	background: 
		radial-gradient(33.96% 69.46% at 80.64% 83.29%, rgba(69, 116, 238, 0.162) 0%, rgba(22, 19, 28, 0) 100%), 
		radial-gradient(82.06% 167.85% at 50% -15.11%, rgba(92, 63, 37, 0.2655) 0%, rgba(22, 19, 28, 0) 100%), 
		url("@/assets/img/stake_bg.webp");
	background-size: 
		auto,  auto,
		contain;
}

.hearts {
	width: 15rem;
	position: absolute;
	top: -7rem;
	right: 0;
	@include max_tablet {
		width: 8.1875rem;
		top: -4.5rem;
		right: -2rem;
	}
}

.toby {
	width: 20.375rem;
	position: absolute;
	bottom: -5rem;
	right: 0;
	@include max_tablet {
		width: 10.25rem;
		bottom: -2.35rem;
		right: -5rem;
	}
}

.coin {
	width: 4.6rem;
	position: absolute;
	bottom: -2rem;
	left: -5rem;
	@include max_tablet {
		width: 4rem;
		bottom: 5rem;
		left: -2.5rem;
	}
}

.column-container {
	min-height: 12.375rem;
	height: 100%;
	padding: 2rem;
	background: rgba($color: #fff, $alpha: .06);
	border-radius: 15px;
	.img {
		height: 3.3125rem;
		max-width: 4rem;
		margin-bottom: 1.125rem;
	}
	p {
		font-size: .9375rem;
		font-weight: 600;
		text-align: center;
		&::v-deep {
			.copy {
				color: #A29D9C;
				word-break: break-all;
				cursor: pointer;
				transition: color .2s ease-in-out;
				&:hover {
					color: $primary;
				}
			}
			.icon {
				cursor: pointer;
			}
		}
		@include max_tablet {
			font-size: .875rem;
		}
	}
}

.btns {
	margin-top: 3rem;
}
</style>